curl --request POST \
--url https://api.ara.so/billing/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "<string>",
"success_url": "",
"promotion_code": "<string>"
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create a Stripe Subscription for custom checkout with Stripe Elements.
Returns client_secret for PaymentElement confirmation on the frontend. Supports Alipay and promotion codes.
curl --request POST \
--url https://api.ara.so/billing/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "<string>",
"success_url": "",
"promotion_code": "<string>"
}
'{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Was this page helpful?